## EXPORT_SPEC int ixmlDocument_createAttributeEx

## (IXML_Document* doc,
char* name,
IXML_Attr** attrNode )

> Creates a new Attr node with the given name.

## Documentation

> Creates a new Attr node with the given name.

> The ixmlDocument_createAttributeEx API differs from the ixmlDocument_createAttribute API in that it returns an error code describing the reason for failure rather than just `NULL`.

Parameters:
  doc - The owner Document of the new node.
  name - The name of the new attribute.
  attrNode - A pointer to a Attr where the new object will be stored.
Returns:
  [int] An integer representing one of the following:
  - `IXML_SUCCESS`: The operation completed successfully.
  - `IXML_INVALID_PARAMETER`: Either doc or name is `NULL`.
  - `IXML_INSUFFICIENT_MEMORY`: Not enough free memory exists to complete this operation.

Alphabetic index

This page was generated with the help of DOC++.